# ActivateLicenseEx

### Description

Activates a license key over the internet.

```csharp
void ActivateLicenseEx (string webServiceUrl, 
                        string activationKey, 
                        string computerID, 
                        string computerName, 
                        string qlmVersion, 
                        string userData1, 
                        string affiliateID, 
                        out string response)
```

### Parameters

| Parameter     |  Type  | Description                                                                            |
| ------------- | :----: | -------------------------------------------------------------------------------------- |
| webServiceUrl | string | URL to the QLM License Server.                                                         |
| activationKey | string | the license key to activate                                                            |
| computerID    | string | The unique computer identifier                                                         |
| computerName  | string | the name of the computer, not required but recommended.                                |
| qlmVersion    | string | the version of the QLM Engine                                                          |
| userData1     | string | User data to associate with the license key                                            |
| affiliateID   | string | ID of affiliate                                                                        |
| response      | string | XML fragment containing the result of the call. The Xml fragment schema is as follows: |
|               |        |                                                                                        |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<pckey>C06C4C90A497F091C2F080501000C076A0578E</pckey>
<userCompany>My Company</userCompany>
<userFullName>John Smith</userFullName>
<userEmail>john@smith.com</userEmail>
</QuickLicenseManager>
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

You must call [DefineProduct ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/defineproduct.md)before calling this function.

Use [ParseResults ](/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults.md)to interpret the results of the call and load the returned data into an [ILicenseInfo ](/docs/api-reference/.net-api/ilicenseinfo.md)object.

```csharp
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (lv.QlmLicenseObject.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/activatelicenseex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
